<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.12.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>kmTimer0: X:/kmTimer0.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">kmTimer0
   </div>
   <div id="projectbrief">kmTimer0 library for AVR</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.12.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() { codefold.init(0); });
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search',true);
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('km_timer0_8h_source.html',''); initResizable(true); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">X:/kmTimer0.h</div></div>
</div><!--header-->
<div class="contents">
<a href="km_timer0_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/*</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment">This is an independent project of an individual developer. Dear PVS-Studio, please check it.</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment">PVS-Studio Static Code Analyzer for C, C++, C#, and Java: http://www.viva64.com</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment">*/</span></div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span><span class="preprocessor">#ifndef KM_TIMER_ZERO_H_</span></div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span><span class="preprocessor">#define KM_TIMER_ZERO_H_</span></div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span> </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span><span class="preprocessor">#ifdef KM_DOXYGEN</span></div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span><span class="preprocessor">#ifdef OCR0</span></div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span><span class="preprocessor">#undef OCR0</span></div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span><span class="preprocessor">#endif </span><span class="comment">/* OCR0 */</span><span class="preprocessor"></span></div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span><span class="preprocessor">#endif </span><span class="comment">/* KM_DOXYGEN */</span><span class="preprocessor"></span></div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span> </div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span><span class="preprocessor">#include &lt;stdbool.h&gt;</span></div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span> </div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span><span class="preprocessor">#include &quot;../kmCommon/kmCommon.h&quot;</span></div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span><span class="preprocessor">#include &quot;../kmTimersCommon/kmTimerDefs.h&quot;</span></div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span> </div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno"><a class="line" href="km_timer0_8h.html#a7a5037247637e5b7ca8cd93850767dcb">   47</a></span><span class="preprocessor">#define KM_TIMER0_USER_DATA(X) (void *)(X)</span></div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span> </div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno"><a class="line" href="km_timer0_8h.html#a3be50da14b1f3ee7b52af375ef9f4ff1">   54</a></span><span class="keyword">typedef</span> <span class="keywordtype">void</span> <a class="code hl_typedef" href="km_timer0_8h.html#a3be50da14b1f3ee7b52af375ef9f4ff1">kmTimer0CallbackType</a>(<span class="keywordtype">void</span> *);</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span> </div>
<div class="foldopen" id="foldopen00059" data-start="{" data-end="};">
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno"><a class="line" href="km_timer0_8h.html#adfc5f444514da67f7fdeecc394b2ee12">   59</a></span><span class="keyword">typedef</span> <span class="keyword">enum</span> {</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>      <a class="code hl_enumvalue" href="km_timer0_8h.html#adfc5f444514da67f7fdeecc394b2ee12a8da4646da6d50db2ac987a9f81c3d51f">KM_TCC0_PWM_OUT_A</a></div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span><span class="preprocessor">#ifndef OCR0</span></div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno"><a class="line" href="km_timer0_8h.html#adfc5f444514da67f7fdeecc394b2ee12a8da4646da6d50db2ac987a9f81c3d51f">   63</a></span>    ,</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>    <a class="code hl_enumvalue" href="km_timer0_8h.html#adfc5f444514da67f7fdeecc394b2ee12a92616863001fce30096880f3703e3ec8">KM_TCC0_PWM_OUT_B</a></div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno"><a class="line" href="km_timer0_8h.html#adfc5f444514da67f7fdeecc394b2ee12a92616863001fce30096880f3703e3ec8">   67</a></span>} <a class="code hl_enumeration" href="km_timer0_8h.html#adfc5f444514da67f7fdeecc394b2ee12">Tcc0PwmOut</a>;</div>
</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span> </div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer0_8h.html#a539d34c9ec846e17f7d1097abe71aab7">kmTimer0Init</a>(<span class="keyword">const</span> uint8_t prescaler, <span class="keyword">const</span> uint8_t modeA, <span class="keyword">const</span> uint8_t modeB);</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span> </div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer0_8h.html#a1e42302d4fc86c8f7aa1b677507e7e1f">kmTimer0InitOnPrescalerBottomToTopOvfCompABInterruptCallback</a>(<span class="keyword">const</span> uint8_t prescaler);</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span> </div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer0_8h.html#af312d955b6ebc923abb0bd004ba712bf">kmTimer0InitOnAccuratePeriodGenerateOutputClockA</a>(<span class="keyword">const</span> uint32_t periodInMicroseconds);</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span> </div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer0_8h.html#a1b719098af98a50935602f8afb744b30">kmTimer0InitOnAccurateTimeCompAInterruptCallback</a>(<span class="keyword">const</span> uint32_t microseconds, <span class="keyword">const</span> <span class="keywordtype">bool</span> outOnOC0A);</div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span> </div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer0_8h.html#a58603afb14c6f815f1f2d40f7b998e2b">kmTimer0InitExternal</a>(<span class="keywordtype">bool</span> falling);</div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span> </div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span><span class="preprocessor">#ifndef OCR0</span></div>
<div class="line"><a id="l00217" name="l00217"></a><span class="lineno">  217</span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer0_8h.html#a5bb1a78d0c1c4a50e66bbb00012c8dbc">kmTimer0InitOnAccurateTimeCompABInterruptCallback</a>(<span class="keyword">const</span> uint32_t microseconds, uint8_t phaseIntB);</div>
<div class="line"><a id="l00218" name="l00218"></a><span class="lineno">  218</span> </div>
<div class="line"><a id="l00259" name="l00259"></a><span class="lineno">  259</span>uint8_t <a class="code hl_function" href="km_timer0_8h.html#a1975856dc4fde2cd7ecb9dd55d146f0a">kmTimer0InitOnAccurateTimeFastPwm</a>(<span class="keyword">const</span> uint32_t microseconds, <span class="keyword">const</span> <span class="keywordtype">bool</span> outputCompA, <span class="keyword">const</span> uint8_t dutyB, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedB);</div>
<div class="line"><a id="l00260" name="l00260"></a><span class="lineno">  260</span> </div>
<div class="line"><a id="l00296" name="l00296"></a><span class="lineno">  296</span>uint8_t <a class="code hl_function" href="km_timer0_8h.html#a0a65186712ad06d291640ca11a167e86">kmTimer0InitOnAccurateTimePcPwm</a>(<span class="keyword">const</span> uint32_t microseconds, <span class="keyword">const</span> <span class="keywordtype">bool</span> outputCompA, <span class="keyword">const</span> uint8_t dutyB, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedB);</div>
<div class="line"><a id="l00297" name="l00297"></a><span class="lineno">  297</span> </div>
<div class="line"><a id="l00334" name="l00334"></a><span class="lineno">  334</span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer0_8h.html#a496b4a8af97dde6828425468e08bf35f">kmTimer0InitOnPrescalerBottomToTopFastPwm</a>(<span class="keyword">const</span> uint8_t prescaler, <span class="keyword">const</span> uint8_t dutyA, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedA, <span class="keyword">const</span> uint8_t dutyB, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedB);</div>
<div class="line"><a id="l00335" name="l00335"></a><span class="lineno">  335</span> </div>
<div class="line"><a id="l00372" name="l00372"></a><span class="lineno">  372</span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer0_8h.html#a836845af51a7eb50f0fb137ddc9dff10">kmTimer0InitOnPrescalerBottomToTopPcPwm</a>(<span class="keyword">const</span> uint8_t prescaler, <span class="keyword">const</span> uint8_t dutyA, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedA, <span class="keyword">const</span> uint8_t dutyB, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedB);</div>
<div class="line"><a id="l00373" name="l00373"></a><span class="lineno">  373</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00374" name="l00374"></a><span class="lineno">  374</span> </div>
<div class="line"><a id="l00387" name="l00387"></a><span class="lineno">  387</span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer0_8h.html#af0270df81d6061af8de461549887362b">kmTimer0InitOnPrescalerBottomToTopFastPwmOCA</a>(<span class="keyword">const</span> uint8_t prescaler, <span class="keyword">const</span> uint8_t dutyA, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedA);</div>
<div class="line"><a id="l00388" name="l00388"></a><span class="lineno">  388</span> </div>
<div class="line"><a id="l00401" name="l00401"></a><span class="lineno">  401</span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer0_8h.html#a5471bcf13315bd732b98c777aa94f2ad">kmTimer0InitOnPrescalerBottomToTopPcPwmOCA</a>(<span class="keyword">const</span> uint8_t prescaler, <span class="keyword">const</span> uint8_t dutyA, <span class="keyword">const</span> <span class="keywordtype">bool</span> invertedA);</div>
<div class="line"><a id="l00402" name="l00402"></a><span class="lineno">  402</span> </div>
<div class="line"><a id="l00403" name="l00403"></a><span class="lineno">  403</span><span class="comment">// Setters callback user data</span></div>
<div class="line"><a id="l00414" name="l00414"></a><span class="lineno">  414</span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer0_8h.html#a8a6a820e7adde051bcc02439e18260b1">kmTimer0SetCallbackUserDataOVF</a>(<span class="keywordtype">void</span> *userData);</div>
<div class="line"><a id="l00415" name="l00415"></a><span class="lineno">  415</span> </div>
<div class="line"><a id="l00426" name="l00426"></a><span class="lineno">  426</span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer0_8h.html#a0717f017e2b7191cccbf8e3dd875260f">kmTimer0SetCallbackUserDataCompA</a>(<span class="keywordtype">void</span> *userData);</div>
<div class="line"><a id="l00427" name="l00427"></a><span class="lineno">  427</span> </div>
<div class="line"><a id="l00428" name="l00428"></a><span class="lineno">  428</span><span class="preprocessor">#ifndef OCR0</span></div>
<div class="line"><a id="l00439" name="l00439"></a><span class="lineno">  439</span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer0_8h.html#a89ac04e020a89147f8ea14f38048abc6">kmTimer0SetCallbackUserDataCompB</a>(<span class="keywordtype">void</span> *userData);</div>
<div class="line"><a id="l00440" name="l00440"></a><span class="lineno">  440</span><span class="preprocessor">#endif </span><span class="comment">/* OCR0 */</span><span class="preprocessor"></span></div>
<div class="line"><a id="l00441" name="l00441"></a><span class="lineno">  441</span> </div>
<div class="line"><a id="l00442" name="l00442"></a><span class="lineno">  442</span><span class="comment">// Registering callbacks</span></div>
<div class="line"><a id="l00458" name="l00458"></a><span class="lineno">  458</span> </div>
<div class="line"><a id="l00461" name="l00461"></a><span class="lineno">  461</span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer0_8h.html#ab9c930ae053fa2de6fb8fb2f0f2df86a">kmTimer0RegisterCallbackOVF</a>(<span class="keywordtype">void</span> *userData, <a class="code hl_typedef" href="km_timer0_8h.html#a3be50da14b1f3ee7b52af375ef9f4ff1">kmTimer0CallbackType</a> *callback);</div>
<div class="line"><a id="l00462" name="l00462"></a><span class="lineno">  462</span> </div>
<div class="line"><a id="l00478" name="l00478"></a><span class="lineno">  478</span> </div>
<div class="line"><a id="l00481" name="l00481"></a><span class="lineno">  481</span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer0_8h.html#acfab9d62c1d07f6fcb10d43018d6c0b5">kmTimer0RegisterCallbackCompA</a>(<span class="keywordtype">void</span> *userData, <a class="code hl_typedef" href="km_timer0_8h.html#a3be50da14b1f3ee7b52af375ef9f4ff1">kmTimer0CallbackType</a> *callback);</div>
<div class="line"><a id="l00482" name="l00482"></a><span class="lineno">  482</span> </div>
<div class="line"><a id="l00498" name="l00498"></a><span class="lineno">  498</span> </div>
<div class="line"><a id="l00501" name="l00501"></a><span class="lineno">  501</span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer0_8h.html#a3768b6d0062659c49dc7a6deedc02a01">kmTimer0RegisterCallbackCompB</a>(<span class="keywordtype">void</span> *userData, <a class="code hl_typedef" href="km_timer0_8h.html#a3be50da14b1f3ee7b52af375ef9f4ff1">kmTimer0CallbackType</a> *callback);</div>
<div class="line"><a id="l00502" name="l00502"></a><span class="lineno">  502</span> </div>
<div class="line"><a id="l00503" name="l00503"></a><span class="lineno">  503</span><span class="comment">// Unregistering callbacks</span></div>
<div class="line"><a id="l00507" name="l00507"></a><span class="lineno">  507</span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer0_8h.html#a214b1fa227a66440b89541b00b364d11">kmTimer0UnregisterCallbackOVF</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a id="l00508" name="l00508"></a><span class="lineno">  508</span> </div>
<div class="line"><a id="l00512" name="l00512"></a><span class="lineno">  512</span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer0_8h.html#aa67d5f855f246899defc8033a99440f0">kmTimer0UnregisterCallbackCompA</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a id="l00513" name="l00513"></a><span class="lineno">  513</span> </div>
<div class="line"><a id="l00517" name="l00517"></a><span class="lineno">  517</span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer0_8h.html#a7966dd3b98250d4d45f11f7112dfd6a3">kmTimer0UnregisterCallbackCompB</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a id="l00518" name="l00518"></a><span class="lineno">  518</span> </div>
<div class="line"><a id="l00519" name="l00519"></a><span class="lineno">  519</span><span class="comment">// Enabling interrupts</span></div>
<div class="line"><a id="l00523" name="l00523"></a><span class="lineno">  523</span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer0_8h.html#a784bb75c217b6a3f09ddded6c2ea9115">kmTimer0EnableInterruptOVF</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a id="l00524" name="l00524"></a><span class="lineno">  524</span> </div>
<div class="line"><a id="l00528" name="l00528"></a><span class="lineno">  528</span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer0_8h.html#a52dc36f46b03d745f8c64ac9f2627441">kmTimer0EnableInterruptCompA</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a id="l00529" name="l00529"></a><span class="lineno">  529</span> </div>
<div class="line"><a id="l00530" name="l00530"></a><span class="lineno">  530</span><span class="preprocessor">#ifndef OCR0</span></div>
<div class="line"><a id="l00534" name="l00534"></a><span class="lineno">  534</span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer0_8h.html#ac069582a344cfb94073e56e78338d89e">kmTimer0EnableInterruptCompB</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a id="l00535" name="l00535"></a><span class="lineno">  535</span><span class="preprocessor">#endif </span><span class="comment">/* OCR0 */</span><span class="preprocessor"></span></div>
<div class="line"><a id="l00536" name="l00536"></a><span class="lineno">  536</span> </div>
<div class="line"><a id="l00537" name="l00537"></a><span class="lineno">  537</span> </div>
<div class="line"><a id="l00538" name="l00538"></a><span class="lineno">  538</span><span class="comment">// Disabling interrupts</span></div>
<div class="line"><a id="l00542" name="l00542"></a><span class="lineno">  542</span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer0_8h.html#ae93c074be8ab001182f5604103ec5870">kmTimer0DisableInterruptsAll</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a id="l00543" name="l00543"></a><span class="lineno">  543</span> </div>
<div class="line"><a id="l00547" name="l00547"></a><span class="lineno">  547</span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer0_8h.html#a032735ee808c5aa29dee0ab94c080a74">kmTimer0DisableInterruptOVF</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a id="l00548" name="l00548"></a><span class="lineno">  548</span> </div>
<div class="line"><a id="l00552" name="l00552"></a><span class="lineno">  552</span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer0_8h.html#ab48771910ebbb7dcf465672d5cddffec">kmTimer0DisableInterruptCompA</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a id="l00553" name="l00553"></a><span class="lineno">  553</span> </div>
<div class="line"><a id="l00557" name="l00557"></a><span class="lineno">  557</span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer0_8h.html#ab1c9d20493949629823224eda00cdc81">kmTimer0DisableInterruptCompB</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a id="l00558" name="l00558"></a><span class="lineno">  558</span> </div>
<div class="line"><a id="l00559" name="l00559"></a><span class="lineno">  559</span><span class="comment">// Setters for Comp values</span></div>
<div class="line"><a id="l00565" name="l00565"></a><span class="lineno">  565</span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer0_8h.html#a56576262b9e2e28d3dd19bf5898aef37">kmTimer0SetValueCompA</a>(uint8_t value);</div>
<div class="line"><a id="l00566" name="l00566"></a><span class="lineno">  566</span> </div>
<div class="line"><a id="l00567" name="l00567"></a><span class="lineno">  567</span><span class="preprocessor">#ifndef OCR0</span></div>
<div class="line"><a id="l00573" name="l00573"></a><span class="lineno">  573</span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer0_8h.html#a1f1184c67fc27ca18846d0994e608279">kmTimer0SetValueCompB</a>(uint8_t value);</div>
<div class="line"><a id="l00574" name="l00574"></a><span class="lineno">  574</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00575" name="l00575"></a><span class="lineno">  575</span> </div>
<div class="line"><a id="l00576" name="l00576"></a><span class="lineno">  576</span><span class="comment">// Configuration of Comparator Outputs</span></div>
<div class="line"><a id="l00582" name="l00582"></a><span class="lineno">  582</span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer0_8h.html#afc6d56c191960af0d09ff9ffc8ec8b2a">kmTimer0ConfigureOCA</a>(uint8_t compareOutputMode);</div>
<div class="line"><a id="l00583" name="l00583"></a><span class="lineno">  583</span> </div>
<div class="line"><a id="l00584" name="l00584"></a><span class="lineno">  584</span><span class="preprocessor">#ifndef OCR0</span></div>
<div class="line"><a id="l00590" name="l00590"></a><span class="lineno">  590</span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer0_8h.html#a30c3cbc91d9d7b90d8067507527c0e78">kmTimer0ConfigureOCB</a>(uint8_t compareOutputMode);</div>
<div class="line"><a id="l00591" name="l00591"></a><span class="lineno">  591</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00592" name="l00592"></a><span class="lineno">  592</span> </div>
<div class="line"><a id="l00593" name="l00593"></a><span class="lineno">  593</span><span class="comment">// Controlling timer flow</span></div>
<div class="line"><a id="l00597" name="l00597"></a><span class="lineno">  597</span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer0_8h.html#afd0b91e655600791c1089e918f1fa8af">kmTimer0Start</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a id="l00598" name="l00598"></a><span class="lineno">  598</span> </div>
<div class="line"><a id="l00602" name="l00602"></a><span class="lineno">  602</span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer0_8h.html#aae77527e3cfedbbec943bc238967a77b">kmTimer0Stop</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a id="l00603" name="l00603"></a><span class="lineno">  603</span> </div>
<div class="line"><a id="l00607" name="l00607"></a><span class="lineno">  607</span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer0_8h.html#ada85d9e281d685b9949856b7392e4acd">kmTimer0Restart</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a id="l00608" name="l00608"></a><span class="lineno">  608</span> </div>
<div class="line"><a id="l00609" name="l00609"></a><span class="lineno">  609</span><span class="comment">// Controlling PWM</span></div>
<div class="line"><a id="l00610" name="l00610"></a><span class="lineno">  610</span> </div>
<div class="line"><a id="l00617" name="l00617"></a><span class="lineno">  617</span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer0_8h.html#ac5613c77f89910152d0f442174207d17">kmTimer0SetPwmDutyBottomToTop</a>(<a class="code hl_enumeration" href="km_timer0_8h.html#adfc5f444514da67f7fdeecc394b2ee12">Tcc0PwmOut</a> pwmOut, uint8_t duty);</div>
<div class="line"><a id="l00618" name="l00618"></a><span class="lineno">  618</span> </div>
<div class="line"><a id="l00626" name="l00626"></a><span class="lineno">  626</span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer0_8h.html#a0d5a23b4a50f61c7ce33b545ca0e912b">kmTimer0SetPwmDutyAccurateTimeModes</a>(uint8_t duty);</div>
<div class="line"><a id="l00627" name="l00627"></a><span class="lineno">  627</span> </div>
<div class="line"><a id="l00633" name="l00633"></a><span class="lineno">  633</span><span class="keywordtype">void</span> <a class="code hl_function" href="km_timer0_8h.html#a6220e3e2778464cc93961506f99b2e32">kmTimer0SetPwmInversion</a>(<a class="code hl_enumeration" href="km_timer0_8h.html#adfc5f444514da67f7fdeecc394b2ee12">Tcc0PwmOut</a> pwmOut, <span class="keywordtype">bool</span> inverted);</div>
<div class="line"><a id="l00634" name="l00634"></a><span class="lineno">  634</span> </div>
<div class="line"><a id="l00635" name="l00635"></a><span class="lineno">  635</span><span class="comment">// Timer flow calculations</span></div>
<div class="line"><a id="l00665" name="l00665"></a><span class="lineno">  665</span>uint8_t <a class="code hl_function" href="km_timer0_8h.html#aba73372971e3733b5e3e4d9e8b3c8f71">kmTimer0CalcPerdiod</a>(<span class="keyword">const</span> uint32_t microseconds, uint8_t *prescaler);</div>
<div class="line"><a id="l00666" name="l00666"></a><span class="lineno">  666</span> </div>
<div class="line"><a id="l00680" name="l00680"></a><span class="lineno">  680</span>uint8_t <a class="code hl_function" href="km_timer0_8h.html#ad95f00f7c1056bbd3fba55c9161add30">kmTimer0CalcPerdiodWithMinPwmAccuracy</a>(<span class="keyword">const</span> uint32_t microseconds, uint8_t *prescaler, <span class="keyword">const</span> uint8_t minimumCycleAcuracy);</div>
<div class="line"><a id="l00681" name="l00681"></a><span class="lineno">  681</span> </div>
<div class="line"><a id="l00689" name="l00689"></a><span class="lineno">  689</span>uint8_t <a class="code hl_function" href="km_timer0_8h.html#a47cca8b1eba42937d624eb5f6a23a220">kmTimer0CalcDutyOnCycles</a>(uint8_t duty, uint8_t cyclesRange);</div>
<div class="line"><a id="l00690" name="l00690"></a><span class="lineno">  690</span> </div>
<div class="line"><a id="l00691" name="l00691"></a><span class="lineno">  691</span><span class="preprocessor">#endif </span><span class="comment">/* KM_TIMER_ZERO_H_ */</span><span class="preprocessor"></span></div>
<div class="ttc" id="akm_timer0_8h_html_a032735ee808c5aa29dee0ab94c080a74"><div class="ttname"><a href="km_timer0_8h.html#a032735ee808c5aa29dee0ab94c080a74">kmTimer0DisableInterruptOVF</a></div><div class="ttdeci">void kmTimer0DisableInterruptOVF(void)</div><div class="ttdef"><b>Definition</b> kmTimer0.c:453</div></div>
<div class="ttc" id="akm_timer0_8h_html_a0717f017e2b7191cccbf8e3dd875260f"><div class="ttname"><a href="km_timer0_8h.html#a0717f017e2b7191cccbf8e3dd875260f">kmTimer0SetCallbackUserDataCompA</a></div><div class="ttdeci">void kmTimer0SetCallbackUserDataCompA(void *userData)</div><div class="ttdef"><b>Definition</b> kmTimer0.c:502</div></div>
<div class="ttc" id="akm_timer0_8h_html_a0a65186712ad06d291640ca11a167e86"><div class="ttname"><a href="km_timer0_8h.html#a0a65186712ad06d291640ca11a167e86">kmTimer0InitOnAccurateTimePcPwm</a></div><div class="ttdeci">uint8_t kmTimer0InitOnAccurateTimePcPwm(const uint32_t microseconds, const bool outputCompA, const uint8_t dutyB, const bool invertedB)</div><div class="ttdef"><b>Definition</b> kmTimer0.c:252</div></div>
<div class="ttc" id="akm_timer0_8h_html_a0d5a23b4a50f61c7ce33b545ca0e912b"><div class="ttname"><a href="km_timer0_8h.html#a0d5a23b4a50f61c7ce33b545ca0e912b">kmTimer0SetPwmDutyAccurateTimeModes</a></div><div class="ttdeci">void kmTimer0SetPwmDutyAccurateTimeModes(uint8_t duty)</div><div class="ttdef"><b>Definition</b> kmTimer0.c:287</div></div>
<div class="ttc" id="akm_timer0_8h_html_a1975856dc4fde2cd7ecb9dd55d146f0a"><div class="ttname"><a href="km_timer0_8h.html#a1975856dc4fde2cd7ecb9dd55d146f0a">kmTimer0InitOnAccurateTimeFastPwm</a></div><div class="ttdeci">uint8_t kmTimer0InitOnAccurateTimeFastPwm(const uint32_t microseconds, const bool outputCompA, const uint8_t dutyB, const bool invertedB)</div><div class="ttdef"><b>Definition</b> kmTimer0.c:207</div></div>
<div class="ttc" id="akm_timer0_8h_html_a1b719098af98a50935602f8afb744b30"><div class="ttname"><a href="km_timer0_8h.html#a1b719098af98a50935602f8afb744b30">kmTimer0InitOnAccurateTimeCompAInterruptCallback</a></div><div class="ttdeci">void kmTimer0InitOnAccurateTimeCompAInterruptCallback(const uint32_t microseconds, const bool outOnOC0A)</div><div class="ttdef"><b>Definition</b> kmTimer0.c:163</div></div>
<div class="ttc" id="akm_timer0_8h_html_a1e42302d4fc86c8f7aa1b677507e7e1f"><div class="ttname"><a href="km_timer0_8h.html#a1e42302d4fc86c8f7aa1b677507e7e1f">kmTimer0InitOnPrescalerBottomToTopOvfCompABInterruptCallback</a></div><div class="ttdeci">void kmTimer0InitOnPrescalerBottomToTopOvfCompABInterruptCallback(const uint8_t prescaler)</div><div class="ttdef"><b>Definition</b> kmTimer0.c:155</div></div>
<div class="ttc" id="akm_timer0_8h_html_a1f1184c67fc27ca18846d0994e608279"><div class="ttname"><a href="km_timer0_8h.html#a1f1184c67fc27ca18846d0994e608279">kmTimer0SetValueCompB</a></div><div class="ttdeci">void kmTimer0SetValueCompB(uint8_t value)</div><div class="ttdef"><b>Definition</b> kmTimer0.c:419</div></div>
<div class="ttc" id="akm_timer0_8h_html_a214b1fa227a66440b89541b00b364d11"><div class="ttname"><a href="km_timer0_8h.html#a214b1fa227a66440b89541b00b364d11">kmTimer0UnregisterCallbackOVF</a></div><div class="ttdeci">void kmTimer0UnregisterCallbackOVF(void)</div><div class="ttdef"><b>Definition</b> kmTimer0.c:492</div></div>
<div class="ttc" id="akm_timer0_8h_html_a30c3cbc91d9d7b90d8067507527c0e78"><div class="ttname"><a href="km_timer0_8h.html#a30c3cbc91d9d7b90d8067507527c0e78">kmTimer0ConfigureOCB</a></div><div class="ttdeci">void kmTimer0ConfigureOCB(uint8_t compareOutputMode)</div><div class="ttdef"><b>Definition</b> kmTimer0.c:396</div></div>
<div class="ttc" id="akm_timer0_8h_html_a3768b6d0062659c49dc7a6deedc02a01"><div class="ttname"><a href="km_timer0_8h.html#a3768b6d0062659c49dc7a6deedc02a01">kmTimer0RegisterCallbackCompB</a></div><div class="ttdeci">void kmTimer0RegisterCallbackCompB(void *userData, kmTimer0CallbackType *callback)</div><div class="ttdef"><b>Definition</b> kmTimer0.c:471</div></div>
<div class="ttc" id="akm_timer0_8h_html_a3be50da14b1f3ee7b52af375ef9f4ff1"><div class="ttname"><a href="km_timer0_8h.html#a3be50da14b1f3ee7b52af375ef9f4ff1">kmTimer0CallbackType</a></div><div class="ttdeci">void kmTimer0CallbackType(void *)</div><div class="ttdef"><b>Definition</b> kmTimer0.h:54</div></div>
<div class="ttc" id="akm_timer0_8h_html_a47cca8b1eba42937d624eb5f6a23a220"><div class="ttname"><a href="km_timer0_8h.html#a47cca8b1eba42937d624eb5f6a23a220">kmTimer0CalcDutyOnCycles</a></div><div class="ttdeci">uint8_t kmTimer0CalcDutyOnCycles(uint8_t duty, uint8_t cyclesRange)</div><div class="ttdef"><b>Definition</b> kmTimer0.c:282</div></div>
<div class="ttc" id="akm_timer0_8h_html_a496b4a8af97dde6828425468e08bf35f"><div class="ttname"><a href="km_timer0_8h.html#a496b4a8af97dde6828425468e08bf35f">kmTimer0InitOnPrescalerBottomToTopFastPwm</a></div><div class="ttdeci">void kmTimer0InitOnPrescalerBottomToTopFastPwm(const uint8_t prescaler, const uint8_t dutyA, const bool invertedA, const uint8_t dutyB, const bool invertedB)</div><div class="ttdef"><b>Definition</b> kmTimer0.c:193</div></div>
<div class="ttc" id="akm_timer0_8h_html_a52dc36f46b03d745f8c64ac9f2627441"><div class="ttname"><a href="km_timer0_8h.html#a52dc36f46b03d745f8c64ac9f2627441">kmTimer0EnableInterruptCompA</a></div><div class="ttdeci">void kmTimer0EnableInterruptCompA(void)</div><div class="ttdef"><b>Definition</b> kmTimer0.c:429</div></div>
<div class="ttc" id="akm_timer0_8h_html_a539d34c9ec846e17f7d1097abe71aab7"><div class="ttname"><a href="km_timer0_8h.html#a539d34c9ec846e17f7d1097abe71aab7">kmTimer0Init</a></div><div class="ttdeci">void kmTimer0Init(const uint8_t prescaler, const uint8_t modeA, const uint8_t modeB)</div><div class="ttdef"><b>Definition</b> kmTimer0.c:146</div></div>
<div class="ttc" id="akm_timer0_8h_html_a5471bcf13315bd732b98c777aa94f2ad"><div class="ttname"><a href="km_timer0_8h.html#a5471bcf13315bd732b98c777aa94f2ad">kmTimer0InitOnPrescalerBottomToTopPcPwmOCA</a></div><div class="ttdeci">void kmTimer0InitOnPrescalerBottomToTopPcPwmOCA(const uint8_t prescaler, const uint8_t dutyA, const bool invertedA)</div><div class="ttdef"><b>Definition</b> kmTimer0.c:230</div></div>
<div class="ttc" id="akm_timer0_8h_html_a56576262b9e2e28d3dd19bf5898aef37"><div class="ttname"><a href="km_timer0_8h.html#a56576262b9e2e28d3dd19bf5898aef37">kmTimer0SetValueCompA</a></div><div class="ttdeci">void kmTimer0SetValueCompA(uint8_t value)</div><div class="ttdef"><b>Definition</b> kmTimer0.c:414</div></div>
<div class="ttc" id="akm_timer0_8h_html_a58603afb14c6f815f1f2d40f7b998e2b"><div class="ttname"><a href="km_timer0_8h.html#a58603afb14c6f815f1f2d40f7b998e2b">kmTimer0InitExternal</a></div><div class="ttdeci">void kmTimer0InitExternal(bool falling)</div><div class="ttdef"><b>Definition</b> kmTimer0.c:274</div></div>
<div class="ttc" id="akm_timer0_8h_html_a5bb1a78d0c1c4a50e66bbb00012c8dbc"><div class="ttname"><a href="km_timer0_8h.html#a5bb1a78d0c1c4a50e66bbb00012c8dbc">kmTimer0InitOnAccurateTimeCompABInterruptCallback</a></div><div class="ttdeci">void kmTimer0InitOnAccurateTimeCompABInterruptCallback(const uint32_t microseconds, uint8_t phaseIntB)</div><div class="ttdef"><b>Definition</b> kmTimer0.c:171</div></div>
<div class="ttc" id="akm_timer0_8h_html_a6220e3e2778464cc93961506f99b2e32"><div class="ttname"><a href="km_timer0_8h.html#a6220e3e2778464cc93961506f99b2e32">kmTimer0SetPwmInversion</a></div><div class="ttdeci">void kmTimer0SetPwmInversion(Tcc0PwmOut pwmOut, bool inverted)</div><div class="ttdef"><b>Definition</b> kmTimer0.c:346</div></div>
<div class="ttc" id="akm_timer0_8h_html_a784bb75c217b6a3f09ddded6c2ea9115"><div class="ttname"><a href="km_timer0_8h.html#a784bb75c217b6a3f09ddded6c2ea9115">kmTimer0EnableInterruptOVF</a></div><div class="ttdeci">void kmTimer0EnableInterruptOVF(void)</div><div class="ttdef"><b>Definition</b> kmTimer0.c:439</div></div>
<div class="ttc" id="akm_timer0_8h_html_a7966dd3b98250d4d45f11f7112dfd6a3"><div class="ttname"><a href="km_timer0_8h.html#a7966dd3b98250d4d45f11f7112dfd6a3">kmTimer0UnregisterCallbackCompB</a></div><div class="ttdeci">void kmTimer0UnregisterCallbackCompB(void)</div><div class="ttdef"><b>Definition</b> kmTimer0.c:487</div></div>
<div class="ttc" id="akm_timer0_8h_html_a836845af51a7eb50f0fb137ddc9dff10"><div class="ttname"><a href="km_timer0_8h.html#a836845af51a7eb50f0fb137ddc9dff10">kmTimer0InitOnPrescalerBottomToTopPcPwm</a></div><div class="ttdeci">void kmTimer0InitOnPrescalerBottomToTopPcPwm(const uint8_t prescaler, const uint8_t dutyA, const bool invertedA, const uint8_t dutyB, const bool invertedB)</div><div class="ttdef"><b>Definition</b> kmTimer0.c:240</div></div>
<div class="ttc" id="akm_timer0_8h_html_a89ac04e020a89147f8ea14f38048abc6"><div class="ttname"><a href="km_timer0_8h.html#a89ac04e020a89147f8ea14f38048abc6">kmTimer0SetCallbackUserDataCompB</a></div><div class="ttdeci">void kmTimer0SetCallbackUserDataCompB(void *userData)</div><div class="ttdef"><b>Definition</b> kmTimer0.c:509</div></div>
<div class="ttc" id="akm_timer0_8h_html_a8a6a820e7adde051bcc02439e18260b1"><div class="ttname"><a href="km_timer0_8h.html#a8a6a820e7adde051bcc02439e18260b1">kmTimer0SetCallbackUserDataOVF</a></div><div class="ttdeci">void kmTimer0SetCallbackUserDataOVF(void *userData)</div><div class="ttdef"><b>Definition</b> kmTimer0.c:496</div></div>
<div class="ttc" id="akm_timer0_8h_html_aa67d5f855f246899defc8033a99440f0"><div class="ttname"><a href="km_timer0_8h.html#aa67d5f855f246899defc8033a99440f0">kmTimer0UnregisterCallbackCompA</a></div><div class="ttdeci">void kmTimer0UnregisterCallbackCompA(void)</div><div class="ttdef"><b>Definition</b> kmTimer0.c:482</div></div>
<div class="ttc" id="akm_timer0_8h_html_aae77527e3cfedbbec943bc238967a77b"><div class="ttname"><a href="km_timer0_8h.html#aae77527e3cfedbbec943bc238967a77b">kmTimer0Stop</a></div><div class="ttdeci">void kmTimer0Stop(void)</div><div class="ttdef"><b>Definition</b> kmTimer0.c:376</div></div>
<div class="ttc" id="akm_timer0_8h_html_ab1c9d20493949629823224eda00cdc81"><div class="ttname"><a href="km_timer0_8h.html#ab1c9d20493949629823224eda00cdc81">kmTimer0DisableInterruptCompB</a></div><div class="ttdeci">void kmTimer0DisableInterruptCompB(void)</div><div class="ttdef"><b>Definition</b> kmTimer0.c:448</div></div>
<div class="ttc" id="akm_timer0_8h_html_ab48771910ebbb7dcf465672d5cddffec"><div class="ttname"><a href="km_timer0_8h.html#ab48771910ebbb7dcf465672d5cddffec">kmTimer0DisableInterruptCompA</a></div><div class="ttdeci">void kmTimer0DisableInterruptCompA(void)</div><div class="ttdef"><b>Definition</b> kmTimer0.c:443</div></div>
<div class="ttc" id="akm_timer0_8h_html_ab9c930ae053fa2de6fb8fb2f0f2df86a"><div class="ttname"><a href="km_timer0_8h.html#ab9c930ae053fa2de6fb8fb2f0f2df86a">kmTimer0RegisterCallbackOVF</a></div><div class="ttdeci">void kmTimer0RegisterCallbackOVF(void *userData, kmTimer0CallbackType *callback)</div><div class="ttdef"><b>Definition</b> kmTimer0.c:477</div></div>
<div class="ttc" id="akm_timer0_8h_html_aba73372971e3733b5e3e4d9e8b3c8f71"><div class="ttname"><a href="km_timer0_8h.html#aba73372971e3733b5e3e4d9e8b3c8f71">kmTimer0CalcPerdiod</a></div><div class="ttdeci">uint8_t kmTimer0CalcPerdiod(const uint32_t microseconds, uint8_t *prescaler)</div><div class="ttdef"><b>Definition</b> kmTimer0.c:309</div></div>
<div class="ttc" id="akm_timer0_8h_html_ac069582a344cfb94073e56e78338d89e"><div class="ttname"><a href="km_timer0_8h.html#ac069582a344cfb94073e56e78338d89e">kmTimer0EnableInterruptCompB</a></div><div class="ttdeci">void kmTimer0EnableInterruptCompB(void)</div><div class="ttdef"><b>Definition</b> kmTimer0.c:434</div></div>
<div class="ttc" id="akm_timer0_8h_html_ac5613c77f89910152d0f442174207d17"><div class="ttname"><a href="km_timer0_8h.html#ac5613c77f89910152d0f442174207d17">kmTimer0SetPwmDutyBottomToTop</a></div><div class="ttdeci">void kmTimer0SetPwmDutyBottomToTop(Tcc0PwmOut pwmOut, uint8_t duty)</div><div class="ttdef"><b>Definition</b> kmTimer0.c:293</div></div>
<div class="ttc" id="akm_timer0_8h_html_acfab9d62c1d07f6fcb10d43018d6c0b5"><div class="ttname"><a href="km_timer0_8h.html#acfab9d62c1d07f6fcb10d43018d6c0b5">kmTimer0RegisterCallbackCompA</a></div><div class="ttdeci">void kmTimer0RegisterCallbackCompA(void *userData, kmTimer0CallbackType *callback)</div><div class="ttdef"><b>Definition</b> kmTimer0.c:465</div></div>
<div class="ttc" id="akm_timer0_8h_html_ad95f00f7c1056bbd3fba55c9161add30"><div class="ttname"><a href="km_timer0_8h.html#ad95f00f7c1056bbd3fba55c9161add30">kmTimer0CalcPerdiodWithMinPwmAccuracy</a></div><div class="ttdeci">uint8_t kmTimer0CalcPerdiodWithMinPwmAccuracy(const uint32_t microseconds, uint8_t *prescaler, const uint8_t minimumCycleAcuracy)</div><div class="ttdef"><b>Definition</b> kmTimer0.c:336</div></div>
<div class="ttc" id="akm_timer0_8h_html_ada85d9e281d685b9949856b7392e4acd"><div class="ttname"><a href="km_timer0_8h.html#ada85d9e281d685b9949856b7392e4acd">kmTimer0Restart</a></div><div class="ttdeci">void kmTimer0Restart(void)</div><div class="ttdef"><b>Definition</b> kmTimer0.c:380</div></div>
<div class="ttc" id="akm_timer0_8h_html_adfc5f444514da67f7fdeecc394b2ee12"><div class="ttname"><a href="km_timer0_8h.html#adfc5f444514da67f7fdeecc394b2ee12">Tcc0PwmOut</a></div><div class="ttdeci">Tcc0PwmOut</div><div class="ttdef"><b>Definition</b> kmTimer0.h:59</div></div>
<div class="ttc" id="akm_timer0_8h_html_adfc5f444514da67f7fdeecc394b2ee12a8da4646da6d50db2ac987a9f81c3d51f"><div class="ttname"><a href="km_timer0_8h.html#adfc5f444514da67f7fdeecc394b2ee12a8da4646da6d50db2ac987a9f81c3d51f">KM_TCC0_PWM_OUT_A</a></div><div class="ttdeci">@ KM_TCC0_PWM_OUT_A</div><div class="ttdoc">PWM on output A.</div><div class="ttdef"><b>Definition</b> kmTimer0.h:61</div></div>
<div class="ttc" id="akm_timer0_8h_html_adfc5f444514da67f7fdeecc394b2ee12a92616863001fce30096880f3703e3ec8"><div class="ttname"><a href="km_timer0_8h.html#adfc5f444514da67f7fdeecc394b2ee12a92616863001fce30096880f3703e3ec8">KM_TCC0_PWM_OUT_B</a></div><div class="ttdeci">@ KM_TCC0_PWM_OUT_B</div><div class="ttdoc">PWM on output B.</div><div class="ttdef"><b>Definition</b> kmTimer0.h:65</div></div>
<div class="ttc" id="akm_timer0_8h_html_ae93c074be8ab001182f5604103ec5870"><div class="ttname"><a href="km_timer0_8h.html#ae93c074be8ab001182f5604103ec5870">kmTimer0DisableInterruptsAll</a></div><div class="ttdeci">void kmTimer0DisableInterruptsAll(void)</div><div class="ttdef"><b>Definition</b> kmTimer0.c:457</div></div>
<div class="ttc" id="akm_timer0_8h_html_af0270df81d6061af8de461549887362b"><div class="ttname"><a href="km_timer0_8h.html#af0270df81d6061af8de461549887362b">kmTimer0InitOnPrescalerBottomToTopFastPwmOCA</a></div><div class="ttdeci">void kmTimer0InitOnPrescalerBottomToTopFastPwmOCA(const uint8_t prescaler, const uint8_t dutyA, const bool invertedA)</div><div class="ttdef"><b>Definition</b> kmTimer0.c:180</div></div>
<div class="ttc" id="akm_timer0_8h_html_af312d955b6ebc923abb0bd004ba712bf"><div class="ttname"><a href="km_timer0_8h.html#af312d955b6ebc923abb0bd004ba712bf">kmTimer0InitOnAccuratePeriodGenerateOutputClockA</a></div><div class="ttdeci">void kmTimer0InitOnAccuratePeriodGenerateOutputClockA(const uint32_t periodInMicroseconds)</div><div class="ttdef"><b>Definition</b> kmTimer0.c:159</div></div>
<div class="ttc" id="akm_timer0_8h_html_afc6d56c191960af0d09ff9ffc8ec8b2a"><div class="ttname"><a href="km_timer0_8h.html#afc6d56c191960af0d09ff9ffc8ec8b2a">kmTimer0ConfigureOCA</a></div><div class="ttdeci">void kmTimer0ConfigureOCA(uint8_t compareOutputMode)</div><div class="ttdef"><b>Definition</b> kmTimer0.c:384</div></div>
<div class="ttc" id="akm_timer0_8h_html_afd0b91e655600791c1089e918f1fa8af"><div class="ttname"><a href="km_timer0_8h.html#afd0b91e655600791c1089e918f1fa8af">kmTimer0Start</a></div><div class="ttdeci">void kmTimer0Start(void)</div><div class="ttdef"><b>Definition</b> kmTimer0.c:372</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="km_timer0_8h.html">kmTimer0.h</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.12.0 </li>
  </ul>
</div>
</body>
</html>
